# std::tr1::__promote_3< _Tp, _Up, _Vp > Struct Template Reference

List of all members.

## Detailed Description

### template<typename _Tp, typename _Up, typename _Vp>
struct std::tr1::__promote_3< _Tp, _Up, _Vp >

Definition at line 64 of file common.h.

## Public Member Functions

- typedef __typeof__ (__type1()+__type2()+__type3()) __type

The documentation for this struct was generated from the following file:

- common.h